Bug 198411 - Package sysklogd lacks IPv6 support
Summary: Package sysklogd lacks IPv6 support
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: sysklogd   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Peter Vrabec
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: IPv6Blocker
TreeView+ depends on / blocked
 
Reported: 2006-07-11 10:29 UTC by Peter Vrabec
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-23 08:34:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
IPv6 patch (9.81 KB, patch)
2006-09-23 09:18 UTC, Jan Cholasta
no flags Details | Diff
another syslog IPv6 support (20.06 KB, patch)
2006-11-22 21:18 UTC, Peter Vrabec
no flags Details | Diff

Description Peter Vrabec 2006-07-11 10:29:40 UTC
This bug was reported automaticaly in connection with IPv6 project.
Our aim is to support IPv6 in all Fedora Core packages so FC6 and RHEL5 will be ready for IPv6.
			
This package seems to lack IPv6 support as is illustrated in attached log.
	
Here follows part of scanning log (grep -r F_INET *)/up to 30 lines: 

/sysklogd-1.4.1rh/syslogd.c:1224:	fd = socket(AF_INET, SOCK_DGRAM, 0);
/sysklogd-1.4.1rh/syslogd.c:1231:	sin.sin_family = AF_INET;
/sysklogd-1.4.1rh/syslogd.c:2004:	if (f->sin_family != AF_INET) {
/sysklogd-1.4.1rh/syslogd.c:2615:		f->f_un.f_forw.f_addr.sin_family = AF_INET;

Comment 1 Jan Cholasta 2006-09-23 09:18:02 UTC
Created attachment 136993 [details]
IPv6 patch

Can someone test this? I have no idea how to do it properly.

Comment 2 Peter Vrabec 2006-11-22 21:18:33 UTC
Created attachment 141941 [details]
another syslog IPv6 support

It's based on FreeBSD syslog source:
http://cvsweb.freebsd.org/src/usr.sbin/syslogd 

I have tested it a little bit with no problems.

Comment 3 Peter Vrabec 2006-11-23 08:34:48 UTC
patch applied in sysklogd-1.4.1-40.fc7



Note You need to log in before you can comment on or make changes to this bug.